SND_DMA_ALLOC_(9)

NAME
snd_dma_alloc_pages_fallback - allocate the buffer area according to the given type with fallback

SYNOPSIS

int snd_dma_alloc_pages_fallback (int type, struct device * device, size_t size, struct snd_dma_buffer * dmab);

ARGUMENTS

type
    the DMA buffer type

device
    the device pointer

size
    the buffer size to allocate

dmab
    buffer allocation record to store the allocated data

DESCRIPTION

Calls the memory-allocator function for the corresponding buffer type. When no space is left, this function reduces the size and tries to allocate again. The size actually allocated is stored in res_size argument.

Returns zero if the buffer with the given size is allocated successfuly, other a negative value at error.